"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const editor_worker_worker_1 = __importDefault(require("monaco-editor/esm/vs/editor/editor.worker?worker"));
const json_worker_worker_1 = __importDefault(require("monaco-editor/esm/vs/language/json/json.worker?worker"));
const css_worker_worker_1 = __importDefault(require("monaco-editor/esm/vs/language/css/css.worker?worker"));
const html_worker_worker_1 = __importDefault(require("monaco-editor/esm/vs/language/html/html.worker?worker"));
const ts_worker_worker_1 = __importDefault(require("monaco-editor/esm/vs/language/typescript/ts.worker?worker"));
const initWorkers = () => {
    self.MonacoEnvironment = {
        getWorker(_, label) {
            if (label === 'json') {
                return new json_worker_worker_1.default();
            }
            if (label === 'css' || label === 'scss' || label === 'less') {
                return new css_worker_worker_1.default();
            }
            if (label === 'html' || label === 'handlebars' || label === 'razor') {
                return new html_worker_worker_1.default();
            }
            if (label === 'typescript' || label === 'javascript') {
                return new ts_worker_worker_1.default();
            }
            return new editor_worker_worker_1.default();
        },
    };
};
exports.default = initWorkers;
//# sourceMappingURL=workers.js.map